Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi
Class BundlePackageLoader

    java.lang.Object
      org.apache.struts2.osgi.BundlePackageLoader

All Implemented Interfaces:
  PackageLoader

    public class BundlePackageLoader

extends Object
implements PackageLoader

Package loader implementation that loads resources from a bundle

Constructor Summary
`BundlePackageLoader()`

Method Summary
`List<com.opensymphony.xwork2.config.entities.PackageConfig>` | `loadPackages(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleContext bundleContext, com.opensymphony.xwork2.ObjectFactory objectFactory, com.opensymphony.xwork2.FileManagerFactory fileManagerFactory, Map<String,com.opensymphony.xwork2.config.entities.PackageConfig> pkgConfigs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundlePackageLoader

    public BundlePackageLoader()

Method Detail

### loadPackages

    public List<com.opensymphony.xwork2.config.entities.PackageConfig> loadPackages(org.osgi.framework.Bundle bundle,
                                                                                    org.osgi.framework.BundleContext bundleContext,
                                                                                    com.opensymphony.xwork2.ObjectFactory objectFactory,
                                                                                    com.opensymphony.xwork2.FileManagerFactory fileManagerFactory,
                                                                                    Map<String,com.opensymphony.xwork2.config.entities.PackageConfig> pkgConfigs)
                                                                             throws ConfigurationException

  Specified by:
    `loadPackages` in interface `PackageLoader`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.